import httpRequest from '@/utils/axios'

/**
 * 新建通知
 */
export function createNotice(data) {
  return httpRequest.post('/api/road/v1/backend/message/create', data)
}

/**
 * 获取应用列表
 */
export function getAppList(params) {
  return httpRequest.get('/api/road/v1/backend/message/list', { params })
}

/**
 * 更新通知
 */
export function updateNotice(data) {
  return httpRequest.post('/api/road/v1/backend/message/update', data)
}

/**
 * 获取通知详情
 */
export function getDetails(params) {
  return httpRequest.get('/api/road/v1/backend/message/view', { params })
}

/**
 * 删除通知
 */
export function deleteNotice(data) {
  return httpRequest.post('/api/road/v1/backend/message/delete', data)
}
