import httpRequest from '@/utils/axios'

/**
 * 新建banner
 */
export function createBanner(data) {
  return httpRequest.post('/api/road/v1/backend/banner/create', data)
}

/**
 * 获取应用列表
 */
export function getAppList(params) {
  return httpRequest.get('/api/road/v1/backend/banner/list', { params })
}

/**
 * 更新banner
 */
export function updateBanner(data) {
  return httpRequest.post('/api/road/v1/backend/banner/update', data)
}

/**
 * 获取banner详情
 */
export function getDetails(params) {
  return httpRequest.get('/api/road/v1/backend/banner/view', { params })
}

/**
 * 删除banner
 */
export function deleteBanner(data) {
  return httpRequest.post('/api/road/v1/backend/banner/delete', data)
}

/**
 * 获取应用列表
 */
export function getEssayList(params) {
  return httpRequest.get('/api/road/v1/backend/doc/list', { params })
}

/**
 * 获pages列表
 */
export function getPagesList(params) {
  return httpRequest.get('/api/road/v1/backend/page/list', { params })
}
