import httpRequest from '@/utils/axios'

/**
 * 新建菜单
 */
export function createMenu(data) {
  return httpRequest.post('/api/road/v1/backend/menu/create', data)
}

/**
 * 获取应用列表
 */
export function getAppList(params) {
  return httpRequest.get('/api/road/v1/backend/menu/list', { params })
}

/**
 * 更新菜单
 */
export function updateMenu(data) {
  return httpRequest.post('/api/road/v1/backend/menu/update', data)
}

/**
 * 获取菜单详情
 */
export function getDetails(params) {
  return httpRequest.get('/api/road/v1/backend/menu/view', { params })
}

/**
 * 删除菜单
 */
export function deleteMenu(data) {
  return httpRequest.post('/api/road/v1/backend/menu/delete', data)
}

/**
 * 获取应用列表
 */
export function getEssayList(params) {
  return httpRequest.get('/api/road/v1/backend/doc/list', { params })
}

/**
 * 获pages列表
 */
export function getPagesList(params) {
  return httpRequest.get('/api/road/v1/backend/page/list', { params })
}
